<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

/**
 * formulaire pour créer / modifier un slug Gamumail
 * 
 *  @plugin     GamuMail
 *
 * @copyright  2020
 * @author     cy_altern
 * @licence    GNU/GPL
 *
 **/

include_spip('inc/actions');
include_spip('inc/editer');
include_spip('action/editer_objet');
include_spip('inc/autoriser');

function formulaires_editer_slug_charger_dist($id_gamumail = 'new', $redirect = ''){
	$valeurs = array(
		"id_gamumail" => intval($id_gamumail),
	);

	return $valeurs;
}

function formulaires_editer_slug_verifier_dist($id_gamumail = 'new', $redirect = ''){
	$slug  = _request('slug');
	$titre = _request('titre');
	$sujet = _request('sujet');
	$texte = _request('texte');

	$erreurs = array();
	//champs obligatoires
	foreach (array ('slug', 'titre') as $obligatoire) {
		if (!_request($obligatoire)) {
			 $erreurs[$obligatoire] = 'Ce champs est obligatoire';
		}
	}

	//Il y a des erreurs
	if (count($erreurs)) {
		$erreurs['message_erreur'] = 'Votre saisie contient des erreurs !';
	}

	return $erreurs;
}

function formulaires_editer_slug_traiter_dist($id_gamumail = 'new', $redirect = ''){
	$slug  = _request('slug');
	$titre = _request('titre');
	$sujet = _request('sujet');
	$texte = _request('texte');

	$set = [
		'slug' => $slug,
		'titre' => $titre,
		'sujet' => $sujet,
		'texte' => $texte,
	];
	$id_slug = objet_inserer('gamumail', null, $set);
echo $id_slug; die;
	$retour = array();
	$retour['message_ok'] = "Modèle enregistré";
	if ($redirect) {
		$retour['redirect'] = $redirect;
	}

	return $retour;
}